Bug 1432098 - Chargeback by Image cannot assign Rate for Label with special characters
Summary: Chargeback by Image cannot assign Rate for Label with special characters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container:chargeback
Depends On: 1409526
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-14 14:15 UTC by Satoe Imaishi
Modified: 2017-04-12 14:34 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1409526
Environment:
Last Closed: 2017-04-12 14:34:43 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-15 20:25:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/641bdff6f65535467978a6a41fb41b25e2eff0a0

commit 641bdff6f65535467978a6a41fb41b25e2eff0a0
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Mar 10 17:59:24 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 15 16:22:54 2017 -0400

    Merge pull request #13713 from zeari/master
    
    Escape label names and values when put into tags
    (cherry picked from commit 151e5c448f7e24dee9b23f207eee35243d4497c6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1432098

 app/models/metric/chargeback_helper.rb         | 10 +++++++-
 app/models/mixins/assignment_mixin.rb          | 32 ++++++++++++++++++++++++--
 spec/models/chargeback_container_image_spec.rb |  2 +-
 3 files changed, 40 insertions(+), 4 deletions(-)

Comment 3 Einat Pacifici 2017-03-23 08:28:52 UTC
Verified in 5.7.2 - The assigned rate is now visible after pressing the Save button.

Comment 4 errata-xmlrpc 2017-04-12 14:34:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.